**GUILD ROSTER MANAGER**
==================

**JOIN-UP ON DISCORD**

[Join Discord Here](https://discord.gg/xuECv9S6S3) or Copy This Link: https://discord.gg/xuECv9S6S3

*Join up to discuss GRM, offer suggestions, report bugs, or even just chat about guild management related things. All help in this regard is greatly appreciated! I respond much faster to Discord posts than I do anywhere else and am more likely to respond faster to any issues you might be encountering.*

**FOREWORD**

As a long-time guild leader, having managed the same guild since the days of *The Burning Crusade*, I always felt like the in-game interface was somewhat lacking. Like most people, I waited patiently for the trickle of improvements that happened every few years. Ultimately, I grew impatient. I wanted more. I was getting tired of the monotony of the grind that came with active leadership. So, while there were other options out there that were pretty good, I was still not truly satisfied. I wanted something cleaner, something with an interface that was easier to use when setting up alts and mains. I wanted something that could grow and expand in scope, as needed. I wanted something that would give me *more knowledge*, more information, more control. I wanted something that would help me make more informed decisions with the guild; or, at the very least, help cut the time it took me to decipher all of the busy work that needed to get done. This is where this addon was born from.

With the original work, added to with many great suggestions from people in this community, this addon has become something far more than I ever envisioned. However, at the core of GRM the purpose remains the same. My passion and my motivation remain the same, centered around one question, "Will this make managing some aspect of the guild better?" I do not wish to ever deviate from this original core goal.

------------------------------------

**GRM FEATURES**

*Snapshot of features before going into details on each one further down*

* Automatically syncing data! That's right! The data we are about to go over will be shared with other GRM addon users in your guild to help keep all players on the same page, especially the leadership. The editing privileges can also be controlled so only trusted ranks will have the power to share their edits with others.

* Alt/Main management - Easily set groupings

* No need to click each name in the roster now. You can just *Mouse Over* a player in the guild roster and a window will appear with their details

* Mouseover window has additional player details beyond the defaults:

    * Join Date, Promotion Date, as well as their histories (like the date of each promotion)
    * Player's RL birthday can be set
    * List of alts, as well as the "main" in the alt grouping.
    * A new *custom note* with 150 character limit can be set.
    * Character counts when editing the player notes

* Upcoming Join Date Anniversaries and Birthdays can be easily added to the in-game Guild Calendar (Retail Version only)

* Ban List that will inform you if someone banned rejoins the guild

* Auto-Add join date to public, officer, or custom note when a player joins the guild

* Guild Log Notification for when changes have occurred: 

    * Joined or Rejoined log entries (with who did the invite in Retail version)
    * Kicked or Left (with who kicked in Retail)
    * Level Up notification
    * Changes to public, officer, and custom notes
    * Notification if an inactive player returns
    * Promotions or Demotions (and who did them in Retail)
    * Name-Change detection
    * Recommendations to remove a player if offline too long, based on setting.
    * and several others.

* Macro Tool to assist in mass kicking inactive players 

* Export Tool to make it easy to export all guild player details, including core player details as well as GRM specific. Export the Log, as well as former member details too.

* Notifications can be set for players to inform you if say, a guildie is inactive, when they become active again.

[Click here for short video explanation of the addon](https://www.youtube.com/watch?v=D7TUlJ91FOw)


**GRM DESIGN PHILOSOPHY**

Due to the nature of addons being restricted from connecting to the net, building a *decentralized* database that is shared between other GRM users was required. As such, changes are only accepted by determining what was the most recent change and accepting it. In other words, you don't want a player who has been offline for a year to log back in and then sync outdated information to everyone. As such, all of it is timestamped and controlled.

Ultimately, this means that each individual GRM user has their own database, account-wide, including all servers and guilds they play on stored onto a single save file. This is *NOT* a centralized database that other users can access. It is unique to you. While GRM includes some features that give the guild leadership the ability to unify some settings, so, for example, your officers don’t accidentally sync your ban lists to everyone, you still have full control to disable syncing and just use GRM your own way. 

While most people are more likely to enjoy the benefits of syncing and sharing info among their guildies, I just want to make it clear that if you wish to use GRM in your own personal way within your own database, you can. No other GRM user can dictate how you use this addon. While it is encouraged for you to actively participate in a meaningful way within your guild, ultimately so you can enjoy the rich features that GRM provides, there is no over-reaching hand that can come into your system and restrict your addon. That is the power that GRM provides. Ultimately, it is your addon, your account, and your data.

I just want to make it extremely clear that even though GRM provides a way to unify much of your database between other GRM users, there is no tyrannical hand forcing you to do so just by nature of having the addon installed. It is always your choice to participate.

---------------------------------

**Features Detailed In More Depth**
==================

**DATA SYNCING**

![Sync Details](https://i.imgur.com/jgfi9SU.jpg)

*No need for every GRM user to configure all of these details, they will be sync'd both retroactively, and live. The more GRM users, the more redundancy in the guild if you lose your data and have no backups.*

***What Syncs:***

    * Join Date
    * Promotion/Demotion Date
    * Alts
    * Main Status
    * Bans
    * Custom Note
    * Birthday

*It is worth mentioning that all frames are fully programmed to also update LIVE as changes are received. No need to close a window and re-open. Your audit window will update on the fly, as well as the mouseover window, as information is received.*


**ALT/MAIN MANAGEMENT AND TAGGING**

![Add an alt to a grouping easily](https://i.imgur.com/MJI75L7.jpg)
![Chat tag of alt/main information](https://i.imgur.com/Ou9AyqA.jpg)
![Alt information shown on calendar window as well](https://i.imgur.com/bRipiep.jpg)

* The main tag can be customized to whatever color you like, or even to a different format (it can be disabled)

* These will show on all guildies in guild chat, whispers, party, raid, instance chat.

**MACRO TOOL**

*In patch 7.3 Blizzard removed the ability of addons from being able to remove, demote, or promote players from the guild. There is no way around this, you **HAVE** to manually implement this action in-game. So, GRM has attempted to adapt to these changes, and while not as simple as pre-7.3, it is still far easier to deal with. By creating a list of players you wish to kick and then using the addon to auto-create a macro to remove them, the player only then needs to activate the "hot-key combo" to trigger the macro, and the addon will automatically rebuild the macro with the next set of names to be removed after each trigger of the macro.*

![Macro Tool to kick players](https://i.imgur.com/UcYNfrq.jpg)

*I have been in guild leadership for coming on, I think, 13 years. I have been the casual leader, and I have worn the shoes of leader that hustles and promotes and recruits and grinds for status and rank. At the end of the day, the one thing in leadership that never changes is the opportunity you have to build your guild how you want to and get to experience the game how you want to. That's the main reason I do it. I get to build my guild and shape it with the culture I wish to have. But, there is one caveat. Time. The more time you spend doing administrative work, the less time you get to actually "play" the game, to join events with your friends and your members of the guild. Coming home after a long day at work, sometimes you'd rather just jump into some BGs with friends than have to spend an hour doing busy stuff. I get it. That is why I know that this "macro tool" here is more than just a "feature" of an addon. It is something that can help you leaders get back some of your time that gets lost into the black hole of administrative obligations forever. Burnout in leadership is a real thing. If there is just a small way I can help lower the burden of leadership, I am happy to be a part of it.*

**PROMOTIONS**

![Matching to Promotion Rules](https://i.imgur.com/PCUMGII.jpg)

![Unconfigured Promotion Settings](https://i.imgur.com/WhNgVwC.jpg)

**DEMOTIONS**

![Matching to Demotion Rules](https://i.imgur.com/QNSyRbK.jpg)

![Macro Button Improved Tooltip](https://i.imgur.com/zDg9lQB.jpg)

Bring up the Macro tool with any of the following SLASH commands.

```
/grm macro
/grm tool
/grm kick
/grm promote
/grm demote
```

**ROSTER MOUSEOVER WINDOW**

![Mouseover Window!](https://i.imgur.com/cCbKn7H.gif)

* Track player status, join dates, promotion dates, birthdates (can be disabled), alts, and so on.

* Mouseover the guild roster names for all player info, some unique to addon.

* Clicking a player will LOCK the window in place. Either closing the window or pressing the ESC key will release the lock to continue mouseover action.

* Customizable. Within the core GRM window (/grm) you can go to the OPTIONS > UI and change features, like disabling the borders around the notes, hiding Birthday info because your guild doesn't use it. Hiding Guild Rep if you find it redundant. Of course, such things will automatically disabled if they do not apply to Classic.

![Right Click a player's status for additional options](https://i.imgur.com/A9sQLCd.jpg)

![Add additional syncable information about the player with 150 extra characters in the custom note](https://i.imgur.com/Kje1577.jpg)

* In regards to the Custom Note - These can be controlled globally in sync restriction. I personally keep custom notes open to almost all ranks in the guild, but I know some may not wish to. I'd still recommend keeping private officer only info to officer channel so maximum utility of the custom note can be had.


**JOIN AND PROMOTION DATE HISTORIES**

![Easily Log and keep track of promotion dates](https://i.imgur.com/e17N9rV.jpg)

* It should be noted that in the Audit tool you can even sort by promotion dates timing, so easily sort players by who hasn't been promoted from longest to shortest and go down the list to more easily make better judgements on promotions, and if they are overdue.

![The Same applies for player membership histories](https://i.imgur.com/0mIr5mD.jpg)


* Efficiency tool - configure the join date to just one grouping of alts, then easily sync that date to all of the alts rather than have to configure for each one.

![Right click "Date Joined" and use the sync tool to easily unify the Join Dates and save configuration time](https://i.imgur.com/n33LeDE.jpg)


**LOG OF GUILD CHANGES**

![Enhanced Guild Log](https://i.imgur.com/6YFRb0c.jpg)

* This log detects all of these as they occur *LIVE* while you are playing, and it also reports on the events that occurred since you last logged in.

* The log currently reports on 14 different things as you can see in the picture. It all reports on various nuances. It tells you if a player *LEFT* the guild or got *KICKED,* and if so, who kicked them. It also reports on if the player didn't just leave the guild, but they also left the server.


* The name-change is very advanced and can report on not only a player name-changing, but if the player leaves your guild, changes their name, and then RE-joins the guild, the addon will inform you that not only is a player rejoining the guild, but that they name-changed, and it will report their previous name. This can be very useful with the GRM syncable ban list that I will get into in a moment.

* You can configure the Level reporting to the log quite intricately. Wish to skip a lot of the low level spam? Not a problem. Custom filters in the "Scanning for Changes" options

![Report ALL levels, or within a range, and even you can choose to only report expansion milestones](https://i.imgur.com/6qADCu4.jpg)

* Reinvited players will retain their info and you will be informed if they return. You will get a special warning if they return to the guild and they were previously banned.

* *Management of the Log:*

   * Delete lines individually or in chunks. 
   * Filter the log to only show what you find important
   * Search the log
   * Export the log clear it.

***IMPORTANT: The Log is unique to each account and it is NOT synced between other GRM users. This is because your log is your own. Your filters are your own.***

**BAN LIST**

* Ban list is fully syncable to other users of the addon in your guild, and of course you can restrict the sync setting to just sync with other officer ranks.

* Not only can you ban players when you remove them from the guild, you can also ban all their alts with them at the same time with the simple click of a button. It's that easy.

![Ban their alts too!](https://i.imgur.com/DsVYGlh.jpg)

* You can add bans to players who are not even in the guild just by adding them in manually, but if they were previously in the guild, the addon will attempt to autocomplete the name as you type

![Adding a Ban](https://i.imgur.com/428xL9q.jpg)


[CLICK HERE FOR A SHORT VIDEO ON BAN FEATURES AND CAPABILITIES](https://www.youtube.com/watch?v=4uvn2sV4xQ0)


**EXPORT TOOL**

![Export GRM and Guild Data](https://i.imgur.com/nPYpJG8.jpg)

* Export your guild member data, including all normally accessible player info, as well as all unique GRM data, like alt lists

* Export list of all your former members

* Export your entire guild log

* Delimited export list for easy pasting or importing into a spreadsheet program like Google Docs or Excel

![Exporting your log](https://i.imgur.com/NxG2YVT.jpg)

**!NOTE TRIGGER**

*This particular tool is more useful in CLASSIC since players have to deal with the issue of any guildie being able to edit other members' public notes again, unlike retail.*

![Note Trigger](https://i.imgur.com/sG7iA4C.jpg)

* Format to Type: !note And Everything After Is The Note

* This will edit the player's public note (works both Retail and Classic, but more useful in Classic).

* Remove members' ability from editing public notes, but if they type *!note TheirNote* in chat, if a GRM officer who has access to edit public notes will automatically edit their public note on their behalf. So, the more people in the guild that are informed how it works, the easier it is for them to set their own note, thus eliminating the problem that many large guilds face of public note editing trolls (as the server provides no log of who made the changes).

* Be aware that it is limited to 31 characters, and anything after 31 will be cut off.


**GUILD AUDIT WINDOW**

*Are you a completionist? Want to know all information about your guild on all players? Use the audit list to help!*

![GRM Audit Window](https://i.imgur.com/YOoYSla.jpg)

* Reorder by clicking the column headers.

* Easily right click each name for additional controls, or Control-Click a player to bring up their full player window to edit important details.

* This window updates ON-THE-FLY and Live, which means if you can delegate some of the configuration work to other officers in the guild to help tag players' mains and add dates and so on, as this can be a big job for large guilds on first installation, you will see the frames update live as you share the updates between other GRM users instantly as you make the edits.


**ADVANCED JOIN DATE TOOL (To assist in audit completion)**

*The goal of this tool is to ensure data properly matches up and can be easily configured.*

![Advanced Join Date Tool](https://i.imgur.com/OFso9zD.jpg)

* This will check if the GRM stored join date differs from the one in the player note

* It will check if the note is in the desired location, like if you have GRM set to export the join date to the officer note, but it is in the public note, this can automatically resolve that.

* This will import join dates from any of the public, officer, custom note boxes, to auto configure GRM, as long as they are in one of 17 commonly used formats (15 of which are timestamp formatting options supported by GRM)


**GRM EVENTS/CALENDAR TOOL**

*Add Events to Calendar that Automatically popup, like anniversary notifications*

![Calendar](https://i.imgur.com/YZRrVIg.jpg)

* Applies to member anniversary dates

* Applies to announcing member birthdays

* Unfortunately there is no current compatibility with Classic due to a lack of a built-in calendar, but I am likely going to integrate use into a popular addon calendar, like GroupCalendar5, eventually.


**Backup Data**

![Backups](https://i.imgur.com/aiLfC0g.jpg)

*Note, this is NOT the equivalent of a full File Side "WTF" folder backup. Addons are not capable of doing that. This is purely so you can have restore points of GRM data in case say, an officer went rogue on you and changed a ton of crap, you can just restore to a point.


**USEFUL SLASH COMMANDS**

![Slash Commands](https://i.imgur.com/3xrEgAh.jpg)


**GLOBAL CONTROLS TO UNIFY SETTINGS AMONG GUILD GRM USERS**

*Control global settings of all GRM users in the guild! This is VERY critical you use this!*

![Control Tags can be easily exported](https://i.imgur.com/eKyVYiM.jpg)

![GRM Global Controls](https://i.imgur.com/G47NMsp.jpg)

* Control the minimum rank threshold for syncing data between users, so not just any player can make changes to the dates or alt lists.

* Control the minimum rank even further for who can sync BAN info

* Control the minimum rank for Custom Notes

* GRM will export the Joined date to the public/officer/custom notes and you can control not only which note to send it to, but also what timestamp date format to use, for conformity.

* Ensure all officers have the feature enabled to auto-add public notes with the !note capabilities.

[Here is a short video demonstration of how to unify guild member GRM settings easily](https://www.youtube.com/watch?v=7qToyABMaXo)


**GRM Module/Plugin Support**

**EXISTING MODULES:**

* **Group Info**

    
![Mouseover Information](https://i.imgur.com/MKwNQQv.jpg)

![Lock window, then mouseover each name for more details](https://i.imgur.com/Y6ySSca.jpg)

* It will tell you the names of all the people currently in your group who are guildies.

* It will inform you if you are grouped with any *former* guildies. This particularly feature goes very deep in that it will inform you the date they left. It will let you know if they were previously banned from the guild. It will let you know if they have name-changed since leaving the guild. It will inform you of their known alts and if any of them are still currently in your guild.

* It will inform you of all the people you are grouped with that are on the same server, or a connected realm member

* Colored indicators will appear next to raid/party member names if you are within trade distance of the player. They will update on the fly. Yes, it can be disabled.


[Download on Curseforge/Twitch Here](https://www.curseforge.com/wow/addons/guild-roster-manager-group-info) or [Github Here](https://github.com/TheGeneticsGuy/Guild_Roster_Manager-Group_Info)

* **Recruitment (Retail)**

*WORK IN PROGRESS*

**JOIN-UP ON DISCORD!**

[Join Discord Here](https://discord.gg/xuECv9S6S3) or Copy This Link: https://discord.gg/xuECv9S6S3

Join up on discord for updates, and feel free to chat about the addon, make suggestions, or report bugs. Have any Lua errors occur, visual bugs, or event just quality of life improvement suggestions that you think would be good for this addon? Reporting them to discord would be very helpul!
